from gcs_cli.helpers import record_print_result_message, requires_login
from gcs_cli.parsing import globus_command
from gcs_cli.services.gcs import get_client


@globus_command(
    "reset-owner-string",
    short_help="Reset the advertised endpoint owner string to the default",
)
@requires_login
def endpoint_reset_owner_string() -> None:
    """
    Reset the advertised owner string on the endpoint to which you are
    currently logged in

    This command may only be performed by an endpoint owner or administrator.
    If successful, the advertised owner string of the endpoint is reset to the
    endpoint's client_id.
    """
    client = get_client()
    res = client.delete_endpoint_owner_string()
    record_print_result_message(res)
