from gcs_cli.helpers.auth_flows import do_link_auth_flow

# Not importing other useful client_login names so that callers will use them
# in the 'client_login.' context to avoid confusion at the call site.
from gcs_cli.helpers.client_login import is_client_login
from gcs_cli.helpers.command_hint import print_command_hint
from gcs_cli.helpers.crypto_loader import (
    load_certificate,
    load_certificate_chain,
    load_private_key,
)
from gcs_cli.helpers.field_funcs import (
    filter_fields,
    path_restrictions_field,
    sorted_json_field,
)
from gcs_cli.helpers.login_decorators import (
    deny_client_login,
    is_logged_in,
    requires_login,
)
from gcs_cli.helpers.principal_creator import create_principal
from gcs_cli.helpers.principal_resolver import (
    PrincipalResolver,
    default_identity_id_resolver,
    default_principal_resolver,
)
from gcs_cli.helpers.projects import lookup_project
from gcs_cli.helpers.result_message_field import (
    RESULT_MESSAGE_FIELD,
    record_print_result_message,
)

__all__ = (
    # auth_flows
    "do_link_auth_flow",
    # client_login
    "is_client_login",
    # command_hint
    "print_command_hint",
    # crypto_loader
    "load_certificate",
    "load_certificate_chain",
    "load_private_key",
    # field_funcs
    "filter_fields",
    "path_restrictions_field",
    "sorted_json_field",
    # login_decorators
    "deny_client_login",
    "is_logged_in",
    "requires_login",
    # principal_creator
    "create_principal",
    # principal_resolver
    "PrincipalResolver",
    "default_identity_id_resolver",
    "default_principal_resolver",
    # projects
    "lookup_project",
    # result_message_field
    "RESULT_MESSAGE_FIELD",
    "record_print_result_message",
)
