from typing import Optional


class BlackPearlConfig:
    def __init__(self, path: Optional[str] = None) -> None:
        if path is None:
            path = "/etc/blackpearl/GridFTPConfig"

        self.path = path
        self.endpoint: Optional[str] = None
        self.access_id_file: Optional[str] = None

        with open(path, "r") as f:
            for line in f:
                line = line.split("#", 1)[0].strip()
                if line:
                    k, v = line.split(maxsplit=1)

                    if k == "EndPoint":
                        self.endpoint = v
                    elif k == "AccessIDFile":
                        self.access_id_file = v
