# pragma: no cover
from typing import List, Optional, Union
from typing_extensions import Literal, TypedDict

IdentityStatusNameType = Union[
    Literal["unused"],
    Literal["used"],
    Literal["private"],
    Literal["closed"],
]

IdentityTypeNameType = Union[
    Literal["login"],
    Literal["non-login"],
    Literal["email"],
]


class IdentityDocumentDict(TypedDict):
    id: str
    username: str
    status: IdentityStatusNameType
    email: str
    name: str
    organization: str
    identity_type: Optional[IdentityTypeNameType]
    identity_provider: str


class IdentityProviderDocumentDict(TypedDict):
    id: str
    name: str
    short_name: Optional[str]
    alternative_names: List[str]
    domains: List[str]
