from .openapi import (
    OpenAPIBlueprint,
    PublicAuthorizer,
    RoleAuthorizer,
    StorageGatewayAuthorizer,
    SubscriptionManagerAuthorizer,
    UserCredentialOwnerAuthorizer,
)


blueprint = OpenAPIBlueprint(
    "authorization_blueprint",
    __name__,
    tag="Authorization",
    description=f"""
    ## API Authorization

    The operations provided by this API may be authorized with the following
    authorization methods:

    ### PublicAuthorizer
    {PublicAuthorizer.__doc__}

    ### RoleAuthorizer
    {RoleAuthorizer.__doc__}

    ### StorageGatewayAuthorizer
    {StorageGatewayAuthorizer.__doc__}

    ### SubscriptionManagerAuthorizer
    {SubscriptionManagerAuthorizer.__doc__}

    ### UserCredentialOwnerAuthorizer
    {UserCredentialOwnerAuthorizer.__doc__}

    """,
    menu_weight=1,
    url_prefix="/api/",
)
