from typing import List

from .collection import Collection
from globus.manager.constants import ConfigurationObjectTag

IRODS_CONNECTOR_ID = "e47b6920-ff57-11ea-8aaa-000c297ab3c2"


class IrodsCollection(Collection):
    POLICY_DATA_TYPE = "irods_collection_policies#1.0.0"
    POLICY_DATA_TYPES = [POLICY_DATA_TYPE]
    __mapper_args__ = {
        "polymorphic_identity": (
            ConfigurationObjectTag.COLLECTION.name + IRODS_CONNECTOR_ID
        )
    }

    connector_policies: List[str] = []

    @property
    def connector_id(self):
        return IRODS_CONNECTOR_ID

    @connector_id.setter
    def connector_id(self, value):
        pass

    def __repr__(self):
        return "<IrodsCollection {}>".format(self.id)
