from globus.manager.constants import ConfigurationObjectTag
from .posix_user_credential import PosixUserCredential


class PosixStagingUserCredential(PosixUserCredential):
    POLICY_DATA_TYPE = "posix_staging_user_credential_policies#1.0.0"
    POLICY_DATA_TYPES = [POLICY_DATA_TYPE]
    CONNECTOR_ID = "052be037-7dda-4d20-b163-3077314dc3e6"

    __mapper_args__ = {
        "polymorphic_identity": (
            ConfigurationObjectTag.USER_CREDENTIAL.name + CONNECTOR_ID
        )
    }

    @property
    def connector_id(self):
        return self.CONNECTOR_ID

    @connector_id.setter
    def connector_id(self, value):
        pass

    def __repr__(self):
        return "<PosixStagingUserCredential {}>".format(self.id)
