import marshmallow as ma
from .data_type import data_type, data_type_schema, Schema


@data_type("account#1.0.0")
class Account_1_0_0(Schema):
    "User account information for a particular Storage Gateway."
    username = ma.fields.String(description="Connector-specific local username")
    storage_gateway_id = ma.fields.UUID(
        description="Storage Gateway for which this account is valid."
    )
    identity_id = ma.fields.UUID(
        description="Globus Auth identity which maps to this account"
    )


Account = data_type_schema.Account
