import marshmallow as ma
from .data_type import data_type, data_type_schema, Schema


@data_type("batch#1.0.0")
class Batch_1_0_0(Schema):
    """
    The Batch data type is used to specify multiple objects to operate
    on via a single REST API call.
    """

    ids = ma.fields.List(
        ma.fields.UUID,
        validate=ma.validate.Length(max=50),
        description="List of object IDs to operate on",
    )


Batch = data_type_schema.Batch
