import marshmallow as ma

from .data_type import data_type, data_type_schema, Schema
from .account import Account


@data_type("credential_not_found#1.0.0")
class CredentialNotFound_1_0_0(Schema):
    """
    Error details when a user has attempted to use a credential when creating a
    collection or logging in, but there are multiple mapped identities and none
    of them have a valid credential.
    """

    accounts = ma.fields.List(
        ma.fields.Nested(Account),
        required=True,
        description="""
        List of available accounts that do not have credentials registered.
        """,
    )


CredentialNotFound = data_type_schema.CredentialNotFound
