import marshmallow as ma

from .data_type import data_type, data_type_schema, Schema


@data_type("invalid_user#1.0.0")
class InvalidUser_1_0_0(Schema):
    """
    Error details when the caller's identity does not map to valid local
    account.
    """

    usernames = ma.fields.List(
        ma.fields.String,
        description="List of connector-specific usernames",
    )


InvalidUser = data_type_schema.InvalidUser
