import marshmallow as ma

from .data_type import data_type, data_type_schema, Schema


@data_type("not_from_allowed_domain#1.0.0")
class NotFromAllowedDomain_1_0_0(Schema):
    """
    Error details when a user has authenticated but does not
    have an identity from the required domain to perform the
    requested action.
    """

    allowed_domains = ma.fields.List(
        ma.fields.String,
        description="List of domains allowed by this resource",
    )


NotFromAllowedDomain = data_type_schema.NotFromAllowedDomain
