import marshmallow as ma

from .data_type import data_type, data_type_schema, Schema


@data_type("not_resource_owner#1.0.0")
class NotResourceOwner_1_0_0(Schema):
    """
    Error details when a user has authenticated but is not the owner of the
    resource being acted upon.
    """

    id = ma.fields.UUID(description="Identity ID of the owner of the resource")


NotResourceOwner = data_type_schema.NotResourceOwner
