import marshmallow as ma

from .data_type import data_type, data_type_schema, Schema


@data_type("resource_conflict#1.0.0")
class ResourceConflict_1_0_0(Schema):
    """
    Error details when the caller has attempted to update an object that
    results in a conflict with some other object.
    """

    resources = ma.fields.List(
        ma.fields.UUID,
        description="""
        List of other resources which conflict with this proposed change.
        """,
    )


ResourceConflict = data_type_schema.ResourceConflict
