import types

from . import debian
from . import redhat
from . import unsupported

from globus.manager.utils.platform_info import PlatformInfo

__platform = PlatformInfo().platform

WebServerManager: types.ModuleType
if __platform == "redhat":
    WebServerManager = redhat
elif __platform == "debian":
    WebServerManager = debian
else:
    WebServerManager = unsupported

__all__ = [
    "WebServerManager",
]
